Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fedict.eid.applet.service.signer
Enum DigestAlgo

    java.lang.Object
      java.lang.Enum<DigestAlgo>
          be.fedict.eid.applet.service.signer.DigestAlgo

All Implemented Interfaces:
  Serializable, Comparable<DigestAlgo>

    public enum DigestAlgo

extends Enum<DigestAlgo>

Enum Constant Summary
`SHA1`
`SHA256`
`SHA512`

Method Summary
`String` | `getAlgoId()`
`String` | `getXmlAlgoId()`
`String` | `toString()`
`static DigestAlgo` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DigestAlgo[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SHA1

    public static final DigestAlgo SHA1

### SHA256

    public static final DigestAlgo SHA256

### SHA512

    public static final DigestAlgo SHA512

Method Detail

### values

    public static DigestAlgo[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DigestAlgo c : DigestAlgo.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DigestAlgo valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<DigestAlgo>`

### getAlgoId

    public String getAlgoId()

### getXmlAlgoId

    public String getXmlAlgoId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.